This service will be undergoing maintenance at 00:00 UTC, 2017-10-23 It is expected to last about 30 minutes
Bug 823103 - SELinux is preventing /usr/bin/polipo from 'create' accesses on the directory fedora.mirror.nexicom.net.
SELinux is preventing /usr/bin/polipo from 'create' accesses on the directory...
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: selinux-policy (Show other bugs)
16
x86_64 Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Miroslav Grepl
Fedora Extras Quality Assurance
abrt_hash:755713c06c6af2a85dd5d170de3...
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-05-19 00:52 EDT by smitna
Modified: 2012-06-27 23:26 EDT (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2012-06-27 23:26:57 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description smitna 2012-05-19 00:52:57 EDT
libreport version: 2.0.8
executable:     /usr/bin/python2.7
hashmarkername: setroubleshoot
kernel:         3.3.5-2.fc16.x86_64
reason:         SELinux is preventing /usr/bin/polipo from 'create' accesses on the directory fedora.mirror.nexicom.net.
time:           Sat 19 May 2012 12:52:19 AM EDT

description:
:SELinux is preventing /usr/bin/polipo from 'create' accesses on the directory fedora.mirror.nexicom.net.
:
:*****  Plugin catchall (100. confidence) suggests  ***************************
:
:If you believe that polipo should be allowed create access on the fedora.mirror.nexicom.net directory by default.
:Then you should report this as a bug.
:You can generate a local policy module to allow this access.
:Do
:allow this access for now by executing:
:# grep polipo /var/log/audit/audit.log | audit2allow -M mypol
:# semodule -i mypol.pp
:
:Additional Information:
:Source Context                system_u:system_r:polipo_t:s0
:Target Context                system_u:object_r:polipo_cache_t:s0
:Target Objects                fedora.mirror.nexicom.net [ dir ]
:Source                        polipo
:Source Path                   /usr/bin/polipo
:Port                          <Unknown>
:Host                          (removed)
:Source RPM Packages           polipo-1.0.4.1-6.fc16.x86_64
:Target RPM Packages           
:Policy RPM                    selinux-policy-3.10.0-84.fc16.noarch
:Selinux Enabled               True
:Policy Type                   targeted
:Enforcing Mode                Enforcing
:Host Name                     (removed)
:Platform                      Linux (removed) 3.3.5-2.fc16.x86_64 #1 SMP Tue
:                              May 8 11:24:50 UTC 2012 x86_64 x86_64
:Alert Count                   1
:First Seen                    Sat 19 May 2012 12:44:32 AM EDT
:Last Seen                     Sat 19 May 2012 12:44:32 AM EDT
:Local ID                      804ab870-4591-46ca-8a9d-c486fc2b826c
:
:Raw Audit Messages
:type=AVC msg=audit(1337402672.940:417): avc:  denied  { create } for  pid=7556 comm="polipo" name="fedora.mirror.nexicom.net" scontext=system_u:system_r:polipo_t:s0 tcontext=system_u:object_r:polipo_cache_t:s0 tclass=dir
:
:
:type=SYSCALL msg=audit(1337402672.940:417): arch=x86_64 syscall=mkdir success=yes exit=0 a0=7fff67492fd0 a1=1c0 a2=3df6743bfc a3=7fff67492930 items=0 ppid=1 pid=7556 auid=4294967295 uid=995 gid=992 euid=995 suid=995 fsuid=995 egid=992 sgid=992 fsgid=992 tty=(none) ses=4294967295 comm=polipo exe=/usr/bin/polipo subj=system_u:system_r:polipo_t:s0 key=(null)
:
:Hash: polipo,polipo_t,polipo_cache_t,dir,create
:
:audit2allow
:
:#============= polipo_t ==============
:#!!!! This avc is allowed in the current policy
:
:allow polipo_t polipo_cache_t:dir create;
:
:audit2allow -R
:
:#============= polipo_t ==============
:#!!!! This avc is allowed in the current policy
:
:allow polipo_t polipo_cache_t:dir create;
:
Comment 1 Miroslav Grepl 2012-05-21 04:07:41 EDT
Fixed in selinux-policy-3.10.0-89.fc16
Comment 2 Fedora Update System 2012-06-15 06:31:03 EDT
selinux-policy-3.10.0-89.fc16 has been submitted as an update for Fedora 16.
https://admin.fedoraproject.org/updates/selinux-policy-3.10.0-89.fc16
Comment 3 Fedora Update System 2012-06-15 19:52:30 EDT
Package selinux-policy-3.10.0-89.fc16:
* should fix your issue,
* was pushed to the Fedora 16 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=updates-testing selinux-policy-3.10.0-89.fc16'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/FEDORA-2012-9507/selinux-policy-3.10.0-89.fc16
then log in and leave karma (feedback).
Comment 4 Fedora Update System 2012-06-27 23:26:57 EDT
selinux-policy-3.10.0-89.fc16 has been pushed to the Fedora 16 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.